Magick::PixelData Class Reference

`#include <Pixels.h>`

## Public Member Functions

| PixelData (Magick::Image &image_, std::string map_, const StorageType type_)
| PixelData (Magick::Image &image_, const ::ssize_t x_, const ::ssize_t y_, const size_t width_, const size_t height_, std::string map_, const StorageType type_)
| ~PixelData (void)
const void * | data (void) const
::ssize_t | length (void) const
::ssize_t | size (void) const

## Detailed Description

Definition at line 83 of file Pixels.h.

## Constructor & Destructor Documentation

## PixelData() [1/2]

Magick::PixelData::PixelData | ( | Magick::Image & | image_,
|  | std::string | map_,
|  | const StorageType | type_
| ) |  |

Definition at line 109 of file Pixels.cpp.

References Magick::Image::columns(), and Magick::Image::rows().

## PixelData() [2/2]

Magick::PixelData::PixelData | ( | Magick::Image & | image_,
|  | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | width_,
|  | const size_t | height_,
|  | std::string | map_,
|  | const StorageType | type_
| ) |  |

Definition at line 115 of file Pixels.cpp.

## ~PixelData()

Magick::PixelData::~PixelData | ( | void |  | ) |

Definition at line 122 of file Pixels.cpp.

## Member Function Documentation

## data()

const void * Magick::PixelData::data | ( | void |  | ) | const

Definition at line 127 of file Pixels.cpp.

## length()

ssize_t Magick::PixelData::length | ( | void |  | ) | const

Definition at line 132 of file Pixels.cpp.

## size()

ssize_t Magick::PixelData::size | ( | void |  | ) | const

Definition at line 137 of file Pixels.cpp.

The documentation for this class was generated from the following files:

- Pixels.h
- Pixels.cpp